# Function prepareSplashPage

- prepareSplashPage(buildDir, pageName, serverUrl, tenantAppName?, user?): Promise<void>

- Prepare a splash page runs a page and writes the html into 'splash_page.html' of the www directory

  #### Parameters

  - ##### buildDir: string

  - ##### pageName: string

    splash page

  - ##### serverUrl: string

    needed, if 'pageName' uses images from the server

  - ##### `Optional` tenantAppName: string

  - ##### `Optional` user: User

  #### Returns Promise<void>

  - Defined in saltcorn-mobile-builder/utils/common-build-utils.ts:930

Generated using TypeDoc